From: Tom Callaway <spotrh>
Date: Sat, 10 Feb 2024 19:15:13 +0000
Subject: fix build failure on i686 with gcc 14

CairoSurface.xs creates a length variable as an unsigned long, then
uses it as if it were STRLEN, which happens to be the same thing
on most architectures, except not on i686 (32bit).

gcc 14 considers this an error.

Forwarded: https://gitlab.gnome.org/GNOME/perl-cairo/-/issues/2
---
 CairoSurface.xs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/CairoSurface.xs b/CairoSurface.xs
index fadef73..0a60ac9 100644
--- a/CairoSurface.xs
+++ b/CairoSurface.xs
@@ -389,7 +389,7 @@ cairo_status_t
 cairo_surface_set_mime_data (cairo_surface_t *surface, const char *mime_type, SV *data);
     PREINIT:
 	const unsigned char *mime_data;
-	unsigned long length;
+	STRLEN length;
     CODE:
 	SvREFCNT_inc (data);
 	mime_data = (const unsigned char *) SvPV(data, length);
